Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/x11/Makefile,v
retrieving revision 1.804
diff -u -r1.804 Makefile
--- Makefile	26 Jun 2017 08:20:25 -0000	1.804
+++ Makefile	26 Jul 2017 19:24:08 -0000
@@ -567,6 +567,7 @@
 SUBDIR+=	xcb-util-keysyms
 SUBDIR+=	xcb-util-renderutil
 SUBDIR+=	xcb-util-wm
+SUBDIR+=	xcb-util-xrm
 SUBDIR+=	xcb-util036
 SUBDIR+=	xclip
 SUBDIR+=	xclipboard
Index: xcb-util-xrm/DESCR
===================================================================
RCS file: xcb-util-xrm/DESCR
diff -N xcb-util-xrm/DESCR
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ xcb-util-xrm/DESCR	26 Jul 2017 19:24:08 -0000
@@ -0,0 +1,3 @@
+XCB util-xrm module provides the following libraries:
+
+  - xrm: utility functions for the X resource manager
Index: xcb-util-xrm/Makefile
===================================================================
RCS file: xcb-util-xrm/Makefile
diff -N xcb-util-xrm/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ xcb-util-xrm/Makefile	26 Jul 2017 19:24:08 -0000
@@ -0,0 +1,20 @@
+# $NetBSD$
+
+DISTNAME=	xcb-util-xrm-1.2
+CATEGORIES=	x11
+MASTER_SITES=	${MASTER_SITE_GITHUB:=Airblader/}
+GITHUB_RELEASE=	v${PKGVERSION_NOREV}
+
+MAINTAINER=	triaxx@NetBSD.org
+HOMEPAGE=	https://github.com/Airblader/xcb-util-xrm/
+COMMENT=	XCB utility functions for the X resource manager
+LICENSE=	x11
+
+GNU_CONFIGURE=	yes
+USE_TOOLS+=	autoconf automake pkg-config
+
+.include "../../devel/xorg-util-macros/buildlink3.mk"
+.include "../../x11/libX11/buildlink3.mk"
+.include "../../x11/xcb-util/buildlink3.mk"
+
+.include "../../mk/bsd.pkg.mk"
Index: xcb-util-xrm/PLIST
===================================================================
RCS file: xcb-util-xrm/PLIST
diff -N xcb-util-xrm/PLIST
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ xcb-util-xrm/PLIST	26 Jul 2017 19:24:08 -0000
@@ -0,0 +1,4 @@
+@comment $NetBSD$
+include/xcb/xcb_xrm.h
+lib/libxcb-xrm.la
+lib/pkgconfig/xcb-xrm.pc
Index: xcb-util-xrm/buildlink3.mk
===================================================================
RCS file: xcb-util-xrm/buildlink3.mk
diff -N xcb-util-xrm/buildlink3.mk
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ xcb-util-xrm/buildlink3.mk	26 Jul 2017 19:24:08 -0000
@@ -0,0 +1,16 @@
+# $NetBSD$
+
+BUILDLINK_TREE+=	xcb-util-xrm
+
+.if !defined(XCB_UTIL_XRM_BUILDLINK3_MK)
+XCB_UTIL_XRM_BUILDLINK3_MK:=
+
+BUILDLINK_API_DEPENDS.xcb-util-xrm+=	xcb-util-xrm>=1.0
+BUILDLINK_PKGSRCDIR.xcb-util-xrm?=	../../x11/xcb-util-xrm
+
+.include "../../devel/xorg-util-macros/buildlink3.mk"
+.include "../../x11/libX11/buildlink3.mk"
+.include "../../x11/xcb-util/buildlink3.mk"
+.endif	# XCB_UTIL_XRM_BUILDLINK3_MK
+
+BUILDLINK_TREE+=	-xcb-util-xrm
Index: xcb-util-xrm/distinfo
===================================================================
RCS file: xcb-util-xrm/distinfo
diff -N xcb-util-xrm/distinfo
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ xcb-util-xrm/distinfo	26 Jul 2017 19:24:08 -0000
@@ -0,0 +1,6 @@
+$NetBSD$
+
+SHA1 (xcb-util-xrm-1.2.tar.gz) = c1e5528c8e34b2b8188ba25b9ea5a55e661bb4d3
+RMD160 (xcb-util-xrm-1.2.tar.gz) = 02f1783d979e44fbb60008a047455e913b3ea021
+SHA512 (xcb-util-xrm-1.2.tar.gz) = 7f992eaca739b9518ffe8f39b921617e092f4a8534cab95f072071ea952e86269971bfc422945ae5f63eda661f61424c1315ece862e2689d1048e5c2b49ff673
+Size (xcb-util-xrm-1.2.tar.gz) = 404416 bytes
